Jump to content
Blogger-Webmaster-Board

Wie du Bolt CMS Updates machen kannst - kurzes Tutorial

Hallo geehrter Bolt CMS-Admin! Ich möchte dir in diesem Tutorial kurz mal zeigen wie Bolt CMS Updates gemacht werden. Solche Updates erscheinen mehrmals pro Jahr und wenn es Sicherheitsupdates sind, sollte man schon noch etwas zeitnah unternehmen.

Ich habe Hunderte solcher Updates bereits hinter mir und kenne diese Materie ganz gut, sodass es auch meine Dienstleistungen ist, Kunden-Installationen in Bolt CMS einem Update zu unterziehen. Hier zeige ich dir kurz, damit du weisst, worauf du dich da einlässt. Das Update in Bolt machst du meistens immer via SSH/Konsole, weil es ein sicherer und besserer Weg als per FTP/SFTP ist.

Du arbeitest beim Aktualisieren mit dem Composer und dieser sollte auch immer aktualisiert werden. 

Du loggst dich via SSH ein und bist im Root deiner Bolt Installation. Vor dort aus checkst du, ob Composer aktuell ist. Dazu kannst du diesen SSH-Befehl nehmen, um den Composer auf die letzte Version zu bringen.

php composer.phar selfupdate

Danach, um Bolt zu aktualisieren, nimmst du einen weiteren SSH-Befehl, der so lautet.

php composer.phar update

Im Root deiner Bolt Installation müssen sich die Dateien wie composer.phar sowie composer.json befinden, denn aus der .json-Datei werden Infos bezogen, für den Composer. Erst dann kann ein Update vollzogen werden. Ich habe es schon so oft gemacht und manchmal haut es mit composer.json aus dem Download-Paket nicht hin, weil die Entwickler auf Github mehrere Bolt Versionen anbieten. Du kannst es dir aussuchen, was du nimmst. Die .json-Datei sollte mit im Paket sein. Diese wird ins Rootverzeichnis deiner Bolt Installation hochgeladen. 

Bolt CMS läuft mittlerweile sehr gut unter PHP 7.2. Mit PHP 7.1 geht es natürlich auch, aber PHP 7.1 wird in immer mehr SharedHostings zum Standard gemacht, sodass es nur eine bestimmte Zeit dauern kann, bis alle Webhoster es realisiert haben. Danach sollte man alle Projekte in PHP 7.1 betreiben und die gängigsten CMS supporten ja diese PHP-Version mittlerweile.

Falls du Probleme beim Bolt Update hast, kannst du dich an die Entwickler-Community auf Slack wenden oder sende mir eine Mail. Ich schaue es mir dann gerne aus der Nähe ein. Ein solches Update biete ich deutschen Kunden ab 30 EUR/Update inkl. MwSt. gerne an. Das käme für dich dann durchaus mal in Frage.

by Alexander Liebrecht Internet Services

bolta-cms-blogger-eu-homepage-auf-startseite.jpg



0 Comments


Recommended Comments

There are no comments to display.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Add a comment...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

Important Information